Loading...
Searching...
No Matches
BALL::RelNumberOfRotatableSingleBonds Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::RelNumberOfRotatableSingleBonds:

## Public Member Functions

Constructors and Destructors
| RelNumberOfRotatableSingleBonds ()
| RelNumberOfRotatableSingleBonds (const RelNumberOfRotatableSingleBonds &rnrsb)
virtual | ~RelNumberOfRotatableSingleBonds ()
Assignment
RelNumberOfRotatableSingleBonds & | operator= (const RelNumberOfRotatableSingleBonds &rnrsb)
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor counts the fraction of the rotatble single bonds. This is the number of rotatble single bonds devided by the number of single bonds.

Definition at line 820 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## RelNumberOfRotatableSingleBonds() [1/2]

BALL::RelNumberOfRotatableSingleBonds::RelNumberOfRotatableSingleBonds | ( |  | ) |

Default constructor

## RelNumberOfRotatableSingleBonds() [2/2]

BALL::RelNumberOfRotatableSingleBonds::RelNumberOfRotatableSingleBonds | ( | const RelNumberOfRotatableSingleBonds & | rnrsb | ) |

Copy constructor

## ~RelNumberOfRotatableSingleBonds()

virtual BALL::RelNumberOfRotatableSingleBonds::~RelNumberOfRotatableSingleBonds | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::RelNumberOfRotatableSingleBonds::compute | ( | AtomContainer & | ac | ) |

virtual

Accessors

Reimplemented from BALL::Descriptor.

## operator=()

RelNumberOfRotatableSingleBonds & BALL::RelNumberOfRotatableSingleBonds::operator= | ( | const RelNumberOfRotatableSingleBonds & | rnrsb | ) |

Assignment operator